Skip to main content
GET
/
entries
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const entryListResponse of client.entries.list({ company_id: 'biz_xxxxxxxxxxxxxx' })) {
  console.log(entryListResponse.id);
}
{
  "data": [
    {
      "id": "entry_xxxxxxxxxxxx",
      "plan": {
        "id": "plan_xxxxxxxxxxxxx"
      },
      "product": {
        "id": "prod_xxxxxxxxxxxxx",
        "title": "Pickaxe Analytics"
      },
      "status": "drafted",
      "user": {
        "id": "user_xxxxxxxxxxxxx",
        "name": "John Doe",
        "username": "johndoe42",
        "email": "john.doe@example.com"
      },
      "created_at": "2023-12-01T05:00:00.401Z"
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string
required

The unique identifier of the company to list waitlist entries for.

Example:

"biz_xxxxxxxxxxxxxx"

direction
enum<string> | null

The sort direction for results. Defaults to descending.

Available options:
asc,
desc
order
enum<string> | null

The column to sort waitlist entries by. Defaults to creation date.

Available options:
id,
created_at
product_ids
string[] | null

Filter entries to only those for specific products.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

plan_ids
string[] | null

Filter entries to only those for specific plans.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

statuses
enum<string>[] | null

Filter entries by their current status.

The status of an entry to a waitlist.

Available options:
drafted,
pending,
approved,
denied,
any
created_before
string<date-time> | null

Only return entries created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time> | null

Only return entries created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

Response

A successful response

The connection type for PublicEntry.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.